﻿using System;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore.Migrations;

namespace ClientServer.Migrations
{
    public partial class groupRolePermissionAndUpdatedAt : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "IsOnlyVisibleToMe",
                table: "Exercises",
                newName: "IsOnlyVisibleToOwner");

            migrationBuilder.AddColumn<bool>(
                name: "CanChangeGroupData",
                table: "GroupRolePermissions",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "CanSeeOtherMembers",
                table: "GroupRolePermissions",
                nullable: false,
                defaultValue: false);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CanChangeGroupData",
                table: "GroupRolePermissions");

            migrationBuilder.DropColumn(
                name: "CanSeeOtherMembers",
                table: "GroupRolePermissions");

            migrationBuilder.RenameColumn(
                name: "IsOnlyVisibleToOwner",
                table: "Exercises",
                newName: "IsOnlyVisibleToMe"
                );
        }
    }
}
