﻿using System;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore.Migrations;

namespace ClientServer.Migrations
{
    public partial class NewSystemSettings : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "MaxNumberOfTestsWithOneRequest",
                table: "SystemSettings",
                nullable: false,
                defaultValue: 5);

            migrationBuilder.AddColumn<int>(
                name: "MaxNumberOfTestsWithOneRequestSubmitTestServer",
                table: "SystemSettings",
                nullable: false,
                defaultValue: 15);

            migrationBuilder.AddColumn<int>(
                name: "SubmitTestServerTimeoutInMs",
                table: "SystemSettings",
                nullable: false,
                defaultValue: 15000);

            migrationBuilder.AddColumn<string>(
                name: "SubmitTestServerUrl",
                table: "SystemSettings",
                maxLength: 500,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "TestServerStatsUrl",
                table: "SystemSettings",
                maxLength: 500,
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "TestServerTimeoutInMs",
                table: "SystemSettings",
                nullable: false,
                defaultValue: 7000);

            migrationBuilder.AddColumn<string>(
                name: "TestServerUrl",
                table: "SystemSettings",
                maxLength: 500,
                nullable: true);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "MaxNumberOfTestsWithOneRequest",
                table: "SystemSettings");

            migrationBuilder.DropColumn(
                name: "MaxNumberOfTestsWithOneRequestSubmitTestServer",
                table: "SystemSettings");

            migrationBuilder.DropColumn(
                name: "SubmitTestServerTimeoutInMs",
                table: "SystemSettings");

            migrationBuilder.DropColumn(
                name: "SubmitTestServerUrl",
                table: "SystemSettings");

            migrationBuilder.DropColumn(
                name: "TestServerStatsUrl",
                table: "SystemSettings");

            migrationBuilder.DropColumn(
                name: "TestServerTimeoutInMs",
                table: "SystemSettings");

            migrationBuilder.DropColumn(
                name: "TestServerUrl",
                table: "SystemSettings");
        }
    }
}
